Page MenuHomeFreeBSD

Upgrade devel/distcc to 3.3.3 and add pump support
Needs ReviewPublic

Authored by ngie on Aug 14 2019, 5:42 AM.

Details

Summary

Add pump support/fix the pump disable option by passing the proper
configure flag when pump support is disabled.

Finally, use the upstream install target for distcc and cherry-pick pieces that
were installed previously, plus ones related to the optional pump support. This
removes the need for having 2 separate install processes: one for pump and one
without.

Sponsored by: DellEMC

Test Plan

Built the change with both pump enabled and disabled and inspected the contents of the package produced with make package each time to make sure they had proper contents.

Example with PUMP support enabled:

1Script started on Tue Aug 13 22:52:44 2019
2Command: sh -c export DEVELOPER=1; make clean; make build && make stage && make package && tar tvJf work/pkg/*.*
3===> Cleaning for distcc-3.3.2_1
4===> NOTICE:
5
6The distcc port currently does not have a maintainer. As a result, it is
7more likely to have unresolved issues, not be up-to-date, or even be removed in
8the future. To volunteer to maintain this port, please create an issue at:
9
10https://bugs.freebsd.org/bugzilla
11
12More information about port maintainership is available at:
13
14https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
15
16===> License GPLv2 accepted by the user
17===> distcc-3.3.2_1 depends on file: /usr/local/sbin/pkg - found
18===> Fetching all distfiles required by distcc-3.3.2_1 for building
19===> Extracting for distcc-3.3.2_1
20=> SHA256 Checksum OK for distcc-distcc-3.3.2-8600f08_GH0.tar.gz.
21===> Patching for distcc-3.3.2_1
22===> Applying FreeBSD patches for distcc-3.3.2_1
23===> distcc-3.3.2_1 depends on file: /usr/local/lib/libiberty.a - found
24===> distcc-3.3.2_1 depends on package: autoconf>=2.69 - found
25===> distcc-3.3.2_1 depends on package: automake>=1.16.1 - found
26===> distcc-3.3.2_1 depends on executable: libtoolize - found
27===> distcc-3.3.2_1 depends on executable: gmake - found
28===> distcc-3.3.2_1 depends on package: pkgconf>=1.3.0_1 - found
29===> distcc-3.3.2_1 depends on file: /usr/local/bin/python3.6 - found
30===> distcc-3.3.2_1 depends on shared library: libpopt.so - found (/usr/local/lib/libpopt.so)
31===> Configuring for distcc-3.3.2_1
32configure: loading site script /usr/ports/Templates/config.site
33checking for gcc... cc
34checking whether the C compiler works... yes
35checking for C compiler default output file name... a.out
36checking for suffix of executables...
37checking whether we are cross compiling... no
38checking for suffix of object files... o
39checking whether we are using the GNU C compiler... yes
40checking whether cc accepts -g... yes
41checking for cc option to accept ISO C89... none needed
42checking for socklen_t... (cached) yes
43checking if building on Android... no
44checking whether /usr/local/bin/python3.6 version is >= 3.1... yes
45checking for /usr/local/bin/python3.6 version... 3.6
46checking for /usr/local/bin/python3.6 platform... freebsd11
47checking for /usr/local/bin/python3.6 script directory... ${prefix}/lib/python3.6/site-packages
48checking for /usr/local/bin/python3.6 extension module directory... ${exec_prefix}/lib/python3.6/site-packages
49checking for gcc... (cached) cc
50checking whether we are using the GNU C compiler... (cached) yes
51checking whether cc accepts -g... (cached) yes
52checking for cc option to accept ISO C89... (cached) none needed
53configure: Adding gcc options: -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized
54checking for library containing strerror... none required
55checking whether gmake sets $(MAKE)... yes
56checking for a BSD-compatible install... /usr/bin/install -c
57checking for inline... inline
58checking how to run the C preprocessor... cpp
59checking for grep that handles long lines and -e... (cached) /usr/bin/grep
60checking for egrep... (cached) /usr/bin/egrep
61checking for ANSI C header files... (cached) yes
62checking for sys/types.h... (cached) yes
63checking for sys/stat.h... (cached) yes
64checking for stdlib.h... (cached) yes
65checking for string.h... (cached) yes
66checking for memory.h... (cached) yes
67checking for strings.h... (cached) yes
68checking for inttypes.h... (cached) yes
69checking for stdint.h... (cached) yes
70checking for unistd.h... (cached) yes
71checking whether byte ordering is bigendian... no
72checking for unistd.h... (cached) yes
73checking for sys/types.h... (cached) yes
74checking sys/sendfile.h usability... no
75checking sys/sendfile.h presence... no
76checking for sys/sendfile.h... no
77checking for ctype.h... (cached) yes
78checking for sys/resource.h... (cached) yes
79checking for sys/socket.h... (cached) yes
80checking for sys/select.h... (cached) yes
81checking for netinet/in.h... (cached) yes
82checking for arpa/nameser.h... (cached) yes
83checking for resolv.h... (cached) yes
84checking for float.h... (cached) yes
85checking mcheck.h usability... no
86checking mcheck.h presence... no
87checking for mcheck.h... no
88checking for alloca.h... (cached) no
89checking for sys/mman.h... (cached) yes
90checking sys/loadavg.h usability... no
91checking sys/loadavg.h presence... no
92checking for sys/loadavg.h... no
93checking for elf.h... (cached) yes
94checking fnmatch.h usability... yes
95checking fnmatch.h presence... yes
96checking for fnmatch.h... yes
97checking for in_port_t... (cached) yes
98checking for in_addr_t... (cached) yes
99checking for library containing gethostent... none required
100checking for library containing setsockopt... none required
101checking for library containing hstrerror... none required
102checking for library containing inet_aton... none required
103checking for poptGetContext in -lpopt... yes
104checking popt.h usability... yes
105checking popt.h presence... yes
106checking for popt.h... yes
107checking whether to use included libpopt... no
108checking for poptGetContext in -lpopt... (cached) yes
109checking for expandargv in -liberty... yes
110checking libiberty.h usability... no
111checking libiberty.h presence... no
112checking for libiberty.h... no
113checking libiberty/libiberty.h usability... yes
114checking libiberty/libiberty.h presence... yes
115checking for libiberty/libiberty.h... yes
116checking return type of signal handlers... void
117checking for getpagesize... (cached) yes
118checking for sendfile... yes
119checking for setsid... (cached) yes
120checking for flock... yes
121checking for lockf... yes
122checking for hstrerror... yes
123checking for strerror... (cached) yes
124checking for setuid... (cached) yes
125checking for setreuid... (cached) yes
126checking for getuid... (cached) yes
127checking for geteuid... (cached) yes
128checking for mcheck... no
129checking for wait4... (cached) yes
130checking for wait3... (cached) yes
131checking for waitpid... (cached) yes
132checking for setgroups... (cached) yes
133checking for snprintf... (cached) yes
134checking for vsnprintf... (cached) yes
135checking for vasprintf... (cached) yes
136checking for asprintf... (cached) yes
137checking for getcwd... (cached) yes
138checking for getwd... (cached) yes
139checking for mkdtemp... (cached) yes
140checking for getrusage... (cached) yes
141checking for strsignal... (cached) yes
142checking for gettimeofday... (cached) yes
143checking for getaddrinfo... (cached) yes
144checking for getnameinfo... (cached) yes
145checking for inet_ntop... (cached) yes
146checking for inet_ntoa... (cached) yes
147checking for strndup... (cached) yes
148checking for strsep... (cached) yes
149checking for mmap... (cached) yes
150checking for strlcpy... (cached) yes
151checking for getloadavg... yes
152checking for getline... (cached) yes
153checking for fstatat... (cached) yes
154checking whether snprintf is declared... (cached) yes
155checking whether vsnprintf is declared... (cached) yes
156checking whether vasprintf is declared... (cached) yes
157checking whether asprintf is declared... yes
158checking whether strndup is declared... (cached) yes
159checking if mmap() supports MAP_FAILED...
160checking for vararg macro support... yes
161checking for va_copy... yes
162checking for __va_copy... yes
163checking for C99 vsnprintf... yes
164checking for working socketpair... yes
165checking for struct sockaddr_storage.ss_family... yes
166./configure: ACX_PTHREAD: not found
167configure: creating ./config.status
168config.status: creating Makefile
169config.status: creating popt/.stamp-conf
170config.status: creating lzo/.stamp-conf
171config.status: creating pump
172config.status: creating src/config.h
173
174gmake[2]: Entering directory '/usr/ports/devel/distcc/work/distcc-8600f08'
175'make install' will install distcc as follows:
176 man pages /usr/local/man/man1
177 documents /usr/local/share/doc/distcc
178 programs /usr/local/bin
179 sbin programs /usr/local/sbin
180 system configuration /usr/local/etc
181 shared data files /usr/local/share/distcc
182gmake[2]: Leaving directory '/usr/ports/devel/distcc/work/distcc-8600f08'
183
184
185 distcc 3.3.2 configured
186
187 Copyright (C) 2002, 2003, 2004 by Martin Pool <mbp@samba.org>
188 Portions Copyright 2005 Google Inc.
189
190 This program is free software; you can redistribute it and/or
191 modify it under the terms of the GNU General Public License
192 as published by the Free Software Foundation; either version 2
193 of the License, or (at your option) any later version.
194
195 This program is distributed in the hope that it will be useful,
196 but WITHOUT ANY WARRANTY; without even the implied warranty of
197 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
198 GNU General Public License for more details.
199
200 You should have received a copy of the GNU General Public License
201 along with this program; if not, write to the Free Software
202 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
203 USA.
204
205After installing distcc, please complete the survey in the file "survey.txt".
206
207===> Building for distcc-3.3.2_1
208gmake[2]: Entering directory '/usr/ports/devel/distcc/work/distcc-8600f08'
209cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/backoff.o -c src/backoff.c
210cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/climasq.o -c src/climasq.c
211cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/clinet.o -c src/clinet.c
212cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/clirpc.o -c src/clirpc.c
213cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/compile.o -c src/compile.c
214cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/cpp.o -c src/cpp.c
215cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/distcc.o -c src/distcc.c
216cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/remote.o -c src/remote.c
217cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/ssh.o -c src/ssh.c
218cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/state.o -c src/state.c
219cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/strip.o -c src/strip.c
220cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/timefile.o -c src/timefile.c
221cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/traceenv.o -c src/traceenv.c
222cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/include_server_if.o -c src/include_server_if.c
223cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/where.o -c src/where.c
224cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/emaillog.o -c src/emaillog.c
225cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/arg.o -c src/arg.c
226cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/argutil.o -c src/argutil.c
227cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/cleanup.o -c src/cleanup.c
228cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/compress.o -c src/compress.c
229cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/trace.o -c src/trace.c
230cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/util.o -c src/util.c
231cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/io.o -c src/io.c
232cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/exec.o -c src/exec.c
233cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/rpc.o -c src/rpc.c
234cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/tempfile.o -c src/tempfile.c
235cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/bulk.o -c src/bulk.c
236cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/help.o -c src/help.c
237cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/filename.o -c src/filename.c
238cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/lock.o -c src/lock.c
239cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/netutil.o -c src/netutil.c
240cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/pump.o -c src/pump.c
241cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/sendfile.o -c src/sendfile.c
242cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/safeguard.o -c src/safeguard.c
243cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/snprintf.o -c src/snprintf.c
244cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/timeval.o -c src/timeval.c
245cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/dotd.o -c src/dotd.c
246cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/hosts.o -c src/hosts.c
247cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/hostfile.o -c src/hostfile.c
248cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/implicit.o -c src/implicit.c
249cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/loadfile.o -c src/loadfile.c
250cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o lzo/minilzo.o -c lzo/minilzo.c
251cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/mon.o -c src/mon.c
252cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/mon-text.o -c src/mon-text.c
253cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/lsdistcc.o -c src/lsdistcc.c
254cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/rslave.o -c src/rslave.c
255cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/access.o -c src/access.c
256src/access.c:200:29: warning: cast from 'struct sockaddr *' to 'struct sockaddr_in *' increases required alignment from 1 to 4 [-Wcast-align]
257 value->addr.inet = ((struct sockaddr_in *)res->ai_addr)->sin_addr;
258 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
259src/access.c:202:30: warning: cast from 'struct sockaddr *' to 'struct sockaddr_in6 *' increases required alignment from 1 to 4 [-Wcast-align]
260 value->addr.inet6 = ((struct sockaddr_in6 *)res->ai_addr)->sin6_addr;
261 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
262src/access.c:358:42: warning: cast from 'const struct sockaddr *' to 'const struct sockaddr_in6 *' increases required alignment from 1 to 4 [-Wcast-align]
263 const struct sockaddr_in6 *sa6 = (const struct sockaddr_in6 *)client;
264 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
265cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/daemon.o -c src/daemon.c
2663 warnings generated.
267cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/dopt.o -c src/dopt.c
268cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/dparent.o -c src/dparent.c
269cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/dsignal.o -c src/dsignal.c
270cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/ncpus.o -c src/ncpus.c
271cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/prefork.o -c src/prefork.c
272cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/stringmap.o -c src/stringmap.c
273cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/serve.o -c src/serve.c
274cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/setuid.o -c src/setuid.c
275cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/srvnet.o -c src/srvnet.c
276cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/srvrpc.o -c src/srvrpc.c
277cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/stats.o -c src/stats.c
278cc -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -o src/fix_debug_info.o -c src/fix_debug_info.c
279if test -z "/usr/local/bin/python3.6"; then \
280 echo "Not building include-server: No suitable python found"; \
281else \
282 mkdir -p "./_include_server" && \
283 DISTCC_VERSION="3.3.2" \
284 SRCDIR="." \
285 CFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings" \
286 CPPFLAGS="-I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" " \
287 /usr/local/bin/python3.6 "./include_server/setup.py" \
288 build \
289 --build-base="./_include_server" \
290 --build-temp="./_include_server"; \
291fi
292cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -L/usr/local/lib -fstack-protector-strong -o distcc src/backoff.o src/climasq.o src/clinet.o src/clirpc.o src/compile.o src/cpp.o src/distcc.o src/remote.o src/ssh.o src/state.o src/strip.o src/timefile.o src/traceenv.o src/include_server_if.o src/where.o src/emaillog.o src/arg.o src/argutil.o src/cleanup.o src/compress.o src/trace.o src/util.o src/io.o src/exec.o src/rpc.o src/tempfile.o src/bulk.o src/help.o src/filename.o src/lock.o src/netutil.o src/pump.o src/sendfile.o src/safeguard.o src/snprintf.o src/timeval.o src/dotd.o src/hosts.o src/hostfile.o src/implicit.o src/loadfile.o lzo/minilzo.o -liberty -lpopt -lpopt
293cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -L/usr/local/lib -fstack-protector-strong -o distccmon-text src/cleanup.o src/filename.o src/io.o src/mon.o src/netutil.o src/argutil.o src/rpc.o src/snprintf.o src/state.o src/tempfile.o src/trace.o src/traceenv.o src/util.o src/mon-text.o -liberty -lpopt -lpopt
294cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -L/usr/local/lib -fstack-protector-strong -o lsdistcc src/lsdistcc.o src/clinet.o src/io.o src/netutil.o src/trace.o src/util.o src/rslave.o src/snprintf.o lzo/minilzo.o -liberty -lpopt -lpopt
295cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -L/usr/local/lib -fstack-protector-strong -o distccd src/access.o src/daemon.o src/dopt.o src/dparent.o src/dsignal.o src/ncpus.o src/prefork.o src/stringmap.o src/serve.o src/setuid.o src/srvnet.o src/srvrpc.o src/state.o src/stats.o src/fix_debug_info.o src/arg.o src/argutil.o src/cleanup.o src/compress.o src/trace.o src/util.o src/io.o src/exec.o src/rpc.o src/tempfile.o src/bulk.o src/help.o src/filename.o src/lock.o src/netutil.o src/pump.o src/sendfile.o src/safeguard.o src/snprintf.o src/timeval.o src/dotd.o src/hosts.o src/hostfile.o src/implicit.o src/loadfile.o lzo/minilzo.o -liberty -lpopt -lpopt
296running build
297running build_py
298package init file '/usr/ports/devel/distcc/work/distcc-8600f08/include_server/__init__.py' not found (or not a regular file)
299creating _include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6
300creating _include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
301copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/mirror_path.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
302copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/basics_test.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
303copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/compress_files.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
304copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/include_analyzer_test.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
305copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/include_server_test.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
306copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/include_analyzer_memoizing_node.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
307copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/macro_eval_test.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
308copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/compiler_defaults.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
309copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/cache_basics.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
310copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/include_analyzer.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
311copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/parse_file_test.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
312copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/include_server.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
313copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/run.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
314copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/mirror_path_test.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
315copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/parse_file.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
316copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/setup.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
317copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/c_extensions_test.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
318copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/statistics.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
319copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/parse_command_test.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
320copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/include_analyzer_memoizing_node_test.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
321copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/parse_command.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
322copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/basics.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
323copying /usr/ports/devel/distcc/work/distcc-8600f08/include_server/macro_eval.py -> ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server
324package init file '/usr/ports/devel/distcc/work/distcc-8600f08/include_server/__init__.py' not found (or not a regular file)
325running build_ext
326building 'include_server.distcc_pump_c_extensions' extension
327creating _include_server/usr
328creating _include_server/usr/ports
329creating _include_server/usr/ports/devel
330creating _include_server/usr/ports/devel/distcc
331creating _include_server/usr/ports/devel/distcc/work
332creating _include_server/usr/ports/devel/distcc/work/distcc-8600f08
333creating _include_server/usr/ports/devel/distcc/work/distcc-8600f08/src
334creating _include_server/usr/ports/devel/distcc/work/distcc-8600f08/lzo
335creating _include_server/usr/ports/devel/distcc/work/distcc-8600f08/include_server
336creating _include_server/usr/ports/devel/distcc/work/distcc-8600f08/include_server/c_extensions
337cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/clirpc.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/clirpc.o
338cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/clinet.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/clinet.o
339cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/state.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/state.o
340cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/srvrpc.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/srvrpc.o
341cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/pump.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/pump.o
342cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/rpc.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/rpc.o
343cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/io.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/io.o
344cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/include_server_if.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/include_server_if.o
345cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/trace.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/trace.o
346cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/snprintf.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/snprintf.o
347cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/util.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/util.o
348cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/tempfile.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/tempfile.o
349cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/filename.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/filename.o
350cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/bulk.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/bulk.o
351cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/sendfile.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/sendfile.o
352cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/compress.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/compress.o
353cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/argutil.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/argutil.o
354cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/cleanup.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/cleanup.o
355cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/emaillog.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/emaillog.o
356cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/timeval.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/timeval.o
357cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/src/netutil.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/netutil.o
358cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/lzo/minilzo.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/lzo/minilzo.o
359cc -DNDEBUG -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo -fPIC -D_GNU_SOURCE=1 -I/usr/local/include -Isrc -I./src -I./lzo -I/usr/local/include/python3.6m -c /usr/ports/devel/distcc/work/distcc-8600f08/include_server/c_extensions/distcc_pump_c_extensions_module.c -o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/include_server/c_extensions/distcc_pump_c_extensions_module.o
360cc -shared -lpthread -L/usr/local/lib -fstack-protector-strong -L/usr/local/lib -fstack-protector-strong -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings -I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR=/usr/local/lib -DSYSCONFDIR=/usr/local/etc -DPKGDATADIR=/usr/local/share/distcc -Isrc -I./src -I./lzo ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/clirpc.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/clinet.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/state.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/srvrpc.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/pump.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/rpc.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/io.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/include_server_if.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/trace.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/snprintf.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/util.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/tempfile.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/filename.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/bulk.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/sendfile.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/compress.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/argutil.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/cleanup.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/emaillog.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/timeval.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/src/netutil.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/lzo/minilzo.o ./_include_server/usr/ports/devel/distcc/work/distcc-8600f08/include_server/c_extensions/distcc_pump_c_extensions_module.o -L/usr/local/lib -lpython3.6m -o ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/distcc_pump_c_extensions.so
361gmake[2]: Leaving directory '/usr/ports/devel/distcc/work/distcc-8600f08'
362===> Staging for distcc-3.3.2_1
363===> distcc-3.3.2_1 depends on file: /usr/local/bin/python3.6 - found
364===> Generating temporary packing list
365===> Creating groups.
366===> Creating users
367gmake[2]: Entering directory '/usr/ports/devel/distcc/work/distcc-8600f08'
368'make install' will install distcc as follows:
369 man pages /usr/ports/devel/distcc/work/stage/usr/local/man/man1
370 documents /usr/ports/devel/distcc/work/stage/usr/local/share/doc/distcc
371 programs /usr/ports/devel/distcc/work/stage/usr/local/bin
372 sbin programs /usr/ports/devel/distcc/work/stage/usr/local/sbin
373 system configuration /usr/ports/devel/distcc/work/stage/usr/local/etc
374 shared data files /usr/ports/devel/distcc/work/stage/usr/local/share/distcc
375/bin/sh ./mkinstalldirs "/usr/ports/devel/distcc/work/stage/usr/local/share/doc/distcc"
376mkdir /usr/ports/devel/distcc/work/stage/usr/local/share/doc/distcc
377for p in AUTHORS COPYING NEWS README README.pump INSTALL TODO doc/protocol-1.txt doc/status-1.txt doc/protocol-2.txt doc/protocol-3.txt doc/protocol-3-impl.txt doc/protocol-gssapi.txt doc/reporting-bugs.txt survey.txt; do \
378 install -m 0644 "./$p" "/usr/ports/devel/distcc/work/stage/usr/local/share/doc/distcc" || exit 1; \
379done
380/bin/sh ./mkinstalldirs "/usr/ports/devel/distcc/work/stage/usr/local/man/man1"
381for p in man/distcc.1 man/distccd.1 man/distccmon-text.1 man/lsdistcc.1 man/pump.1 man/include_server.1; do \
382 if gzip --help >/dev/null 2>&1; then \
383 mkdir -p "`dirname $p`"; \
384 if [ -e "/usr/ports/devel/distcc/work/stage/usr/local/man/man1$p" ]; then rm -fv "/usr/ports/devel/distcc/work/stage/usr/local/man/man1$p"; fi; \
385 gzip -c "./$p" > "$p.gz"; \
386 install -m 0644 "$p.gz" "/usr/ports/devel/distcc/work/stage/usr/local/man/man1" || exit 1; \
387 else \
388 echo "Warning: no working gzip, installing man pages uncompressed" 1>&2; \
389 if [ -e "/usr/ports/devel/distcc/work/stage/usr/local/man/man1$p.gz" ]; then rm -fv "/usr/ports/devel/distcc/work/stage/usr/local/man/man1$p.gz"; fi; \
390 install -m 0644 "./$p" "/usr/ports/devel/distcc/work/stage/usr/local/man/man1" || exit 1; \
391 fi; \
392done
393echo "path: $PATH"
394path: /usr/ports/devel/distcc/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/home/ngie/bin:/home/ngie/git/scratch/profiles/picasso/root/bin:/home/ngie/git/scratch/profiles/picasso/home/ngie/bin:/home/ngie/git/scratch/profiles/base/freebsd/root/bin:/home/ngie/git/scratch/profiles/base/freebsd/home/ngie/bin:/home/ngie/git/scratch/profiles/picasso/root/bin:/home/ngie/git/scratch/profiles/picasso/home/ngie/bin:/home/ngie/git/scratch/profiles/base/freebsd/root/bin:/home/ngie/git/scratch/profiles/base/freebsd/home/ngie/bin
395./config.status
396config.status: creating Makefile
397config.status: creating popt/.stamp-conf
398config.status: creating lzo/.stamp-conf
399config.status: creating pump
400config.status: creating src/config.h
401config.status: src/config.h is unchanged
402touch src/config.h.stamp
403/bin/sh ./mkinstalldirs "/usr/ports/devel/distcc/work/stage/usr/local/bin"
404/bin/sh ./mkinstalldirs "/usr/ports/devel/distcc/work/stage/usr/local/sbin"
405for p in distcc distccmon-text lsdistcc ; do \
406 install -m 555 "$p" "/usr/ports/devel/distcc/work/stage/usr/local/bin" || exit 1; \
407done
408for p in distccd ; do \
409 install -m 555 "$p" "/usr/ports/devel/distcc/work/stage/usr/local/sbin" || exit 1; \
410done
411if test -z "/usr/local/bin/python3.6"; then \
412 echo "Not building include-server: No suitable python found"; \
413else \
414 mkdir -p "./_include_server" && \
415 DISTCC_VERSION="3.3.2" \
416 SRCDIR="." \
417 CFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings" \
418 CPPFLAGS="-I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" " \
419 /usr/local/bin/python3.6 "./include_server/setup.py" \
420 build \
421 --build-base="./_include_server" \
422 --build-temp="./_include_server"; \
423fi
424running build
425running build_py
426package init file '/usr/ports/devel/distcc/work/distcc-8600f08/include_server/__init__.py' not found (or not a regular file)
427package init file '/usr/ports/devel/distcc/work/distcc-8600f08/include_server/__init__.py' not found (or not a regular file)
428running build_ext
429if test -z "/usr/local/bin/python3.6"; then \
430 echo "Not building install-include-server: No suitable python found"; \
431else \
432 mkdir -p "./_include_server" && \
433 DESTDIR=`cd "/usr/ports/devel/distcc/work/stage/" && pwd` && \
434 DISTCC_VERSION="3.3.2" \
435 SRCDIR="." \
436 CFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -Wno-missing-prototypes -Wno-missing-declarations -Wno-write-strings" \
437 CPPFLAGS="-I/usr/local/include -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/local/lib\"" -DSYSCONFDIR="\"/usr/local/etc\"" -DPKGDATADIR="\"/usr/local/share/distcc\"" -Isrc -I"./src" -I"./lzo" " \
438 /usr/local/bin/python3.6 "./include_server/setup.py" \
439 build \
440 --build-base="./_include_server" \
441 --build-temp="./_include_server" \
442 install \
443 --prefix="/usr/local" \
444 --record="./_include_server/install.log.pre" \
445 --root="$DESTDIR" \
446 || exit 1; \
447 sed -e '/^[^\/]/ s,^,/,' \
448 -e 's/\r$//' \
449 "./_include_server/install.log.pre" \
450 > "./_include_server/install.log"; \
451 if test -n ""; then \
452 cp -f "./_include_server/install.log" ""; \
453 fi; \
454 /bin/sh ./mkinstalldirs "/usr/ports/devel/distcc/work/stage/usr/local/bin" && \
455 INCLUDE_SERVER=`grep '/include_server.py$' "./_include_server/install.log"` && \
456 sed "s,^include_server='',include_server='$INCLUDE_SERVER'," \
457 pump > "./_include_server/pump" && \
458 install -m 555 "./_include_server/pump" "/usr/ports/devel/distcc/work/stage/usr/local/bin"; \
459fi
460running build
461running build_py
462package init file '/usr/ports/devel/distcc/work/distcc-8600f08/include_server/__init__.py' not found (or not a regular file)
463package init file '/usr/ports/devel/distcc/work/distcc-8600f08/include_server/__init__.py' not found (or not a regular file)
464running build_ext
465running install
466running install_lib
467creating /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6
468creating /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages
469creating /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
470copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/include_server_test.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
471copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/parse_command_test.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
472copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/compress_files.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
473copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/macro_eval_test.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
474copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/include_analyzer_memoizing_node_test.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
475copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/c_extensions_test.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
476copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/parse_command.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
477copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/include_analyzer_test.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
478copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/statistics.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
479copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/macro_eval.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
480copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/mirror_path_test.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
481copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/distcc_pump_c_extensions.so -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
482copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/include_analyzer.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
483copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/include_server.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
484copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/cache_basics.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
485copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/setup.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
486copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/mirror_path.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
487copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/parse_file_test.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
488copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/basics_test.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
489copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/basics.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
490copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/parse_file.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
491copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/run.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
492copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/compiler_defaults.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
493copying ./_include_server/lib.freebsd-11.2-RELEASE-p10-amd64-3.6/include_server/include_analyzer_memoizing_node.py -> /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server
494byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/include_server_test.py to include_server_test.cpython-36.pyc
495byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/parse_command_test.py to parse_command_test.cpython-36.pyc
496byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/compress_files.py to compress_files.cpython-36.pyc
497byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/macro_eval_test.py to macro_eval_test.cpython-36.pyc
498byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/include_analyzer_memoizing_node_test.py to include_analyzer_memoizing_node_test.cpython-36.pyc
499byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/c_extensions_test.py to c_extensions_test.cpython-36.pyc
500byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/parse_command.py to parse_command.cpython-36.pyc
501byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/include_analyzer_test.py to include_analyzer_test.cpython-36.pyc
502byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/statistics.py to statistics.cpython-36.pyc
503byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/macro_eval.py to macro_eval.cpython-36.pyc
504byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/mirror_path_test.py to mirror_path_test.cpython-36.pyc
505byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/include_analyzer.py to include_analyzer.cpython-36.pyc
506byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/include_server.py to include_server.cpython-36.pyc
507byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/cache_basics.py to cache_basics.cpython-36.pyc
508byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/setup.py to setup.cpython-36.pyc
509byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/mirror_path.py to mirror_path.cpython-36.pyc
510byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/parse_file_test.py to parse_file_test.cpython-36.pyc
511byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/basics_test.py to basics_test.cpython-36.pyc
512byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/basics.py to basics.cpython-36.pyc
513byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/parse_file.py to parse_file.cpython-36.pyc
514byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/run.py to run.cpython-36.pyc
515byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/compiler_defaults.py to compiler_defaults.cpython-36.pyc
516byte-compiling /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server/include_analyzer_memoizing_node.py to include_analyzer_memoizing_node.cpython-36.pyc
517running install_egg_info
518Writing /usr/ports/devel/distcc/work/stage/usr/local/lib/python3.6/site-packages/include_server-3.3.2-py3.6.egg-info
519package init file '/usr/ports/devel/distcc/work/distcc-8600f08/include_server/__init__.py' not found (or not a regular file)
520writing list of installed files to './_include_server/install.log.pre'
521/bin/sh ./mkinstalldirs "/usr/ports/devel/distcc/work/stage/usr/local/share/doc/distcc/example"
522mkdir /usr/ports/devel/distcc/work/stage/usr/local/share/doc/distcc/example
523for p in doc/example/README doc/example/default doc/example/hosts.allow doc/example/services doc/example/init doc/example/init-suse doc/example/logrotate doc/example/xinetd ; do \
524 install -m 0644 "./$p" "/usr/ports/devel/distcc/work/stage/usr/local/share/doc/distcc/example" || exit 1; \
525done
526/bin/sh ./mkinstalldirs "/usr/ports/devel/distcc/work/stage/usr/local/etc/distcc"
527mkdir /usr/ports/devel/distcc/work/stage/usr/local/etc/distcc
528/bin/sh ./mkinstalldirs "/usr/ports/devel/distcc/work/stage/usr/local/etc/default"
529mkdir /usr/ports/devel/distcc/work/stage/usr/local/etc/default
530install -m 0644 ./packaging/RedHat/conf/hosts /usr/ports/devel/distcc/work/stage/usr/local/etc/distcc/hosts
531install -m 0644 ./packaging/RedHat/conf/clients.allow /usr/ports/devel/distcc/work/stage/usr/local/etc/distcc/clients.allow
532install -m 0644 ./packaging/RedHat/conf/commands.allow.sh /usr/ports/devel/distcc/work/stage/usr/local/etc/distcc/commands.allow.sh
533install -m 0644 ./packaging/RedHat/default/distcc /usr/ports/devel/distcc/work/stage/usr/local/etc/default/distcc
534gmake[2]: Leaving directory '/usr/ports/devel/distcc/work/distcc-8600f08'
535====> Compressing man pages (compress-man)
536===> Staging rc.d startup script(s)
537====> Running Q/A tests (stage-qa)
538===> Building package for distcc-3.3.2_1
539-rw-r--r-- 0 root wheel 3236 Dec 31 1969 +COMPACT_MANIFEST
540-rw-r--r-- 0 root wheel 10432 Dec 31 1969 +MANIFEST
541-r-xr-xr-x 0 root wheel 132037 Aug 13 22:52 /usr/local/bin/distcc
542-r-xr-xr-x 0 root wheel 53527 Aug 13 22:52 /usr/local/bin/distccmon-text
543-r-xr-xr-x 0 root wheel 64607 Aug 13 22:52 /usr/local/bin/lsdistcc
544-r-xr-xr-x 0 root wheel 19856 Aug 13 22:52 /usr/local/bin/pump
545hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/CC link to /usr/local/bin/distcc
546hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/c++ link to /usr/local/bin/distcc
547hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/cc link to /usr/local/bin/distcc
548hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/gcc link to /usr/local/bin/distcc
549hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/g++ link to /usr/local/bin/distcc
550hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/g++34 link to /usr/local/bin/distcc
551hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/g++42 link to /usr/local/bin/distcc
552hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/g++43 link to /usr/local/bin/distcc
553hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/g++44 link to /usr/local/bin/distcc
554hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/g++45 link to /usr/local/bin/distcc
555hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/g++46 link to /usr/local/bin/distcc
556hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/g++47 link to /usr/local/bin/distcc
557hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/g++48 link to /usr/local/bin/distcc
558hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/g++49 link to /usr/local/bin/distcc
559hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/g++5 link to /usr/local/bin/distcc
560hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/gcc34 link to /usr/local/bin/distcc
561hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/gcc42 link to /usr/local/bin/distcc
562hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/gcc43 link to /usr/local/bin/distcc
563hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/gcc44 link to /usr/local/bin/distcc
564hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/gcc45 link to /usr/local/bin/distcc
565hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/gcc46 link to /usr/local/bin/distcc
566hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/gcc47 link to /usr/local/bin/distcc
567hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/gcc48 link to /usr/local/bin/distcc
568hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/gcc49 link to /usr/local/bin/distcc
569hr-xr-xr-x 0 root wheel 0 Aug 13 22:52 /usr/local/libexec/distcc/gcc5 link to /usr/local/bin/distcc
570-rw-r--r-- 0 root wheel 13659 Aug 13 22:52 /usr/local/man/man1/distcc.1.gz
571-rw-r--r-- 0 root wheel 5092 Aug 13 22:52 /usr/local/man/man1/distccd.1.gz
572-rw-r--r-- 0 root wheel 905 Aug 13 22:52 /usr/local/man/man1/distccmon-text.1.gz
573-rw-r--r-- 0 root wheel 5419 Aug 13 22:52 /usr/local/man/man1/include_server.1.gz
574-rw-r--r-- 0 root wheel 2156 Aug 13 22:52 /usr/local/man/man1/pump.1.gz
575-r-xr-xr-x 0 root wheel 134257 Aug 13 22:52 /usr/local/sbin/distccd
576-rw-r--r-- 0 root wheel 283 Aug 13 22:52 /usr/local/share/doc/distcc/AUTHORS
577-rw-r--r-- 0 root wheel 10914 Aug 13 22:52 /usr/local/share/doc/distcc/INSTALL
578-rw-r--r-- 0 root wheel 70412 Aug 13 22:52 /usr/local/share/doc/distcc/NEWS
579-rw-r--r-- 0 root wheel 2592 Aug 13 22:52 /usr/local/share/doc/distcc/README
580-rw-r--r-- 0 root wheel 6530 Aug 13 22:52 /usr/local/share/doc/distcc/protocol-1.txt
581-rw-r--r-- 0 root wheel 1712 Aug 13 22:52 /usr/local/share/doc/distcc/status-1.txt
582-rw-r--r-- 0 root wheel 1234 Aug 13 22:52 /usr/local/share/doc/distcc/protocol-2.txt
583-rw-r--r-- 0 root wheel 3116 Aug 13 22:52 /usr/local/share/doc/distcc/reporting-bugs.txt
584-rw-r--r-- 0 root wheel 292 Aug 13 22:52 /usr/local/lib/python3.6/site-packages/include_server-3.3.2-py3.6.egg-info
585-rwxr-xr-x 0 root wheel 99890 Aug 13 22:52 /usr/local/lib/python3.6/site-packages/include_server/distcc_pump_c_extensions.so
586-rw-r--r-- 0 root wheel 27175 Jul 26 2018 /usr/local/lib/python3.6/site-packages/include_server/include_server.py
587-rw-r--r-- 0 root wheel 6031 Jul 26 2018 /usr/local/lib/python3.6/site-packages/include_server/include_server_test.py
588-rw-r--r-- 0 root wheel 19929 Jul 26 2018 /usr/local/lib/python3.6/site-packages/include_server/include_analyzer_test.py
589-rw-r--r-- 0 root wheel 8469 Jul 26 2018 /usr/local/lib/python3.6/site-packages/include_server/include_analyzer_memoizing_node_test.py
590-rw-r--r-- 0 root wheel 26727 Jul 26 2018 /usr/local/lib/python3.6/site-packages/include_server/include_analyzer_memoizing_node.py
591-rw-r--r-- 0 root wheel 17044 Jul 26 2018 /usr/local/lib/python3.6/site-packages/include_server/include_analyzer.py
592-rw-r--r-- 0 root wheel 221 Aug 13 22:52 /usr/local/share/licenses/distcc-3.3.2_1/catalog.mk
593-rw-r--r-- 0 root wheel 81 Aug 13 22:52 /usr/local/share/licenses/distcc-3.3.2_1/LICENSE
594-rw-r--r-- 0 root wheel 17992 Aug 13 22:52 /usr/local/share/licenses/distcc-3.3.2_1/GPLv2
595-r-xr-xr-x 0 root wheel 1195 Aug 13 22:52 /usr/local/etc/rc.d/distccd
596
597Command exit status: 0
598Script done on Tue Aug 13 22:52:52 2019

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 26078
Build 24614: arc lint + arc unit

Event Timeline

ngie created this revision.Aug 14 2019, 5:42 AM
ngie edited the summary of this revision. (Show Details)Aug 14 2019, 5:43 AM
ngie edited the test plan for this revision. (Show Details)
ngie edited the test plan for this revision. (Show Details)
ngie edited the test plan for this revision. (Show Details)
ngie edited the test plan for this revision. (Show Details)Aug 14 2019, 5:53 AM
ngie updated this revision to Diff 60771.Aug 14 2019, 5:53 AM

Mute gzip --help noise by redirecting stderr to /dev/null

ngie updated this revision to Diff 60772.Aug 14 2019, 6:00 AM

Install pump with INSTALL_SCRIPT, not INSTALL_PROGRAM, so STRIP can be enabled again

ngie updated this revision to Diff 60773.Aug 14 2019, 6:25 AM

Remove unnecessary upstream divergence with GZIP call

ngie added inline comments.Aug 14 2019, 3:29 PM
devel/distcc/files/patch-Makefile.in
32

This was accepted upstream: https://github.com/distcc/distcc/pull/359 .

39

This was accepted upstream: https://github.com/distcc/distcc/pull/360 .

Hi Enjie,

Sorry for the last commit.

I arc patched this review and tested in poudriere for {11.2,12.0}{amd64}{i386} and I'm seeing pkg-plist issues:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: etc/default/distcc
Error: Orphaned: %%ETCDIR%%/clients.allow
Error: Orphaned: %%ETCDIR%%/commands.allow.sh
Error: Orphaned: %%ETCDIR%%/hosts
Error: Orphaned: man/man1/include_server.1.gz
Error: Orphaned: man/man1/lsdistcc.1.gz
Error: Orphaned: man/man1/pump.1.gz
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/COPYING
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/README.pump
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/TODO
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/README
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/default
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/hosts.allow
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/init
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/init-suse
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/logrotate
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/services
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/xinetd
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/protocol-3-impl.txt
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/protocol-3.txt
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/protocol-gssapi.txt
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/survey.txt
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.

Do you see the same?

mat added inline comments.Aug 19 2019, 12:00 PM
devel/distcc/Makefile
64

Please, add a description that actually describes what this does.

75

Unless --enable-pump-mode is unsupported, this should be:

PUMP_CONFIGURE_ENABLE=    pump-moe
159–161
PUMP_USES=  python...

I have a new patch that addresses some of the things pointed by @mat and updates the port to 3.3.3 (recently released).

Since I'm not the creator of the review I don't know if it is OK to just arc diff --update this?

ngie added a comment.Aug 23 2019, 3:29 PM

I have a new patch that addresses some of the things pointed by @mat and updates the port to 3.3.3 (recently released).
Since I'm not the creator of the review I don't know if it is OK to just arc diff --update this?

Feel free. I've been a bit busy with non-[F]OSS work lately.

I was also trying to add "do-test" to the Makefile, but it seems that "make check" with the project is broken when run from ports (I got past some of the issues, but ran into other ones that people won't see unless they enable PUMP).

ngie updated this revision to Diff 61168.Aug 23 2019, 3:59 PM
ngie marked 3 inline comments as done.

Address some of @fernape's concerns and all of @mat's concerns

ngie retitled this revision from Upgrade devel/distcc to 3.3.2 and add pump support to Upgrade devel/distcc to 3.3.3 and add pump support.Aug 23 2019, 4:00 PM
ngie edited the summary of this revision. (Show Details)
ngie added a comment.Aug 23 2019, 4:03 PM

Hi Enjie,
Sorry for the last commit.
I arc patched this review and tested in poudriere for {11.2,12.0}{amd64}{i386} and I'm seeing pkg-plist issues:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: etc/default/distcc
Error: Orphaned: %%ETCDIR%%/clients.allow
Error: Orphaned: %%ETCDIR%%/commands.allow.sh
Error: Orphaned: %%ETCDIR%%/hosts
Error: Orphaned: man/man1/include_server.1.gz
Error: Orphaned: man/man1/lsdistcc.1.gz
Error: Orphaned: man/man1/pump.1.gz
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/COPYING
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/README.pump
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/TODO
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/README
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/default
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/hosts.allow
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/init
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/init-suse
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/logrotate
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/services
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/xinetd
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/protocol-3-impl.txt
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/protocol-3.txt
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/protocol-gssapi.txt
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/survey.txt
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.

Do you see the same?

I didn't see the same... Some of the above items though shouldn't be installed on FreeBSD (they're Redhat specific).

As for why I opted to run "make install" which installs a bunch of files now: I was trying to avoid reinventing distcc's build machinery, since they handle installing everything (non-pump pieces, pump pieces) via make install and the port was only installing some of the pieces before.

devel/distcc/Makefile
64

Done!

75

Fixed!

159–161

Aha. Good catch! I'll do that :).

ngie updated this revision to Diff 61169.Aug 23 2019, 4:08 PM
  • Shuffle around installing the README files (they shouldn't be reliant on PUMP support)
  • Fix the duplicate prefixing of distcc in ETCDIR.
ngie edited the summary of this revision. (Show Details)Aug 23 2019, 4:18 PM
fernape updated this revision to Diff 61180.Aug 23 2019, 5:39 PM
  • USES localbase
  • Remove pycache files
  • STRIP shared object
  • Revert patch-Makefile.in so we deal with {bin,sbin}/distccd
  • Remove linux specific examples
  • Add config files
  • Add missing DOC files
  • README.pump include_server.1 and pump.1 are installed unconditionally

This revision still fails with:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%ETCDIR%%/distcc/clients.allow
Error: Orphaned: %%ETCDIR%%/distcc/commands.allow.sh
Error: Orphaned: %%ETCDIR%%/distcc/hosts
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%ETCDIR%%/clients.allow
Error: Missing: %%ETCDIR%%/commands.allow.sh
Error: Missing: %%ETCDIR%%/hosts
===> Error: Plist issues found.

which don't seem to respect --sysconfdir

Updating review with @ngie permission

In D21259#465145, @ngie wrote:

I have a new patch that addresses some of the things pointed by @mat and updates the port to 3.3.3 (recently released).
Since I'm not the creator of the review I don't know if it is OK to just arc diff --update this?

Feel free. I've been a bit busy with non-[F]OSS work lately.
I was also trying to add "do-test" to the Makefile, but it seems that "make check" with the project is broken when run from ports (I got past some of the issues, but ran into other ones that people won't see unless they enable PUMP).

I reworked my changes to accommodate to yours. After your change, I still see this:

====> Running Q/A tests (stage-qa)
Warning: 'lib/python3.6/site-packages/include_server/distcc_pump_c_extensions.so' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: bin/distccd
Error: Orphaned: %%ETCDIR%%/default/distcc
Error: Orphaned: %%ETCDIR%%/distcc/clients.allow
Error: Orphaned: %%ETCDIR%%/distcc/commands.allow.sh
Error: Orphaned: %%ETCDIR%%/distcc/hosts
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/basics.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/basics_test.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/c_extensions_test.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/cache_basics.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/compiler_defaults.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/compress_files.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/include_analyzer.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/include_analyzer_memoizing_node.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/include_analyzer_memoizing_node_test.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/include_analyzer_test.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/include_server.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/include_server_test.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/macro_eval.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/macro_eval_test.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/mirror_path.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/mirror_path_test.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/parse_command.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/parse_command_test.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/parse_file.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/parse_file_test.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/run.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/setup.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/__pycache__/statistics.cpython-36.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/basics.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/basics_test.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/c_extensions_test.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/cache_basics.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/compiler_defaults.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/compress_files.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/macro_eval.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/macro_eval_test.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/mirror_path.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/mirror_path_test.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/parse_command.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/parse_command_test.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/parse_file.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/parse_file_test.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/run.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/setup.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/include_server/statistics.py
Error: Orphaned: sbin/update-distcc-symlinks
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/COPYING
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/README
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/default
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/hosts.allow
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/init
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/init-suse
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/logrotate
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/services
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/example/xinetd
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: sbin/distccd
===> Error: Plist issues found.
*** Error code 1

Some files are installed unconditionally (see pump.1 for example). Others I deleted them in post-install (like the linux specific examples). I also removed the __pycache__ generated files and added some files missing from pkg-plist

After my changes, there is left the issue about the other config files. Should we move them from %%ETCDIR%%/distcc/ to %%ETCDIR%%?

ngie added a comment.Aug 24 2019, 2:35 AM

I'll take a closer look at this sometime this weekend..

devel/distcc/Makefile
162–164

Was this intentionally left in?

ngie added inline comments.Aug 24 2019, 2:36 AM
devel/distcc/Makefile
78

If this isn't being installed anymore, it PUMP_USES= shebangfix and SHEBANG_FILES can be dropped.

fernape updated this revision to Diff 61232.Aug 24 2019, 4:14 PM
  • Remove shebanfix and SHEBANG_FILES (@ngie)
  • Fix remaining config file paths

This builds fine in poudriere {11.2,12.0}{i386,amd64} 13-current amd64 with both
PUMP enabled and PUMP disabled.

Hi there,

Any changes here? I'll be AFK starting mid next weekend until mid October so I won't be able to do anything but reading mails.

Cheers.

ngie added a comment.Thu, Sep 19, 4:21 PM

@fernape: could you please take this revision so I can sign off on the change?

In D21259#473832, @ngie wrote:

@fernape: could you please take this revision so I can sign off on the change?

Yes.

I would like to hear comments from @mat and others about the change though.